import greenfoot.*;
import java.util.List;
public class TimerWorld extends World {
    public TimerWorld() {
        super(600, 400, 1); 
    }
    
    public void act() {
        MouseInfo m = Greenfoot.getMouseInfo();
        if(m != null && Greenfoot.mousePressed(null)) {
            int x = m.getX();
            int y = m.getY();
            TimerActor actor = new TimerActor();
            addObject(actor, x, y);
        }
    }

    public void stopped() {
        // Tell all the timers that the game's been paused
        List<TimerActor> timerActors = (List<TimerActor>)getObjects(TimerActor.class);
        for(TimerActor actor : timerActors) {
            actor.gamePaused();
        }
    }
}
